Bug 492992 - [ks_IN]locale file for kashmiri (Perso-Arabic) not available in glibc
[ks_IN]locale file for kashmiri (Perso-Arabic) not available in glibc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 01:16 EDT by Pravin Satpute
Modified: 2009-04-18 04:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-18 04:42:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
template for adding kashmiri locale information (11.12 KB, text/plain)
2009-03-31 01:47 EDT, Pravin Satpute
no flags Details
Kashmiri locale information (12.32 KB, application/vnd.oasis.opendocument.text)
2009-03-31 14:19 EDT, mohammad.nayeem
no flags Details
kashmiri language locale file for India (6.10 KB, text/plain)
2009-04-06 02:59 EDT, Pravin Satpute
no flags Details
It will remove duplicates and modify title for locale ks_IN@devanagari (2.24 KB, patch)
2009-04-07 07:00 EDT, Pravin Satpute
no flags Details | Diff

  None (edit)
Description Pravin Satpute 2009-03-31 01:16:56 EDT
Description of problem:
The Locale file for Kashmiri (Perso-Arabic) is  not available in glibc, which prevents the
i18n and l10n activities for the language. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 mohammad.nayeem 2009-03-31 01:47:29 EDT
(In reply to comment #0)
> Description of problem:
> The Locale file for Kashmiri (Perso-Arabic) is  not available in glibc, which
> prevents the
> i18n and l10n activities for the language. 
> 
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> 
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
> 
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:  



Thanks for opening this. I guess we will communicate on this here.
Comment 2 Pravin Satpute 2009-03-31 01:47:29 EDT
Created attachment 337274 [details]
template for adding kashmiri locale information
Comment 3 Pravin Satpute 2009-03-31 01:48:21 EDT
hi we will require tranlations of attached file for starting work.
Comment 4 Pravin Satpute 2009-03-31 01:48:48 EDT
hi,
we will require translations of attached file for starting work.
Comment 5 mohammad.nayeem 2009-03-31 02:04:08 EDT
(In reply to comment #4)
> hi,
> we will require translations of attached file for starting work.  

I will fill this up and send it back very soon.
Comment 6 mohammad.nayeem 2009-03-31 14:19:28 EDT
Created attachment 337375 [details]
Kashmiri locale information

The file is attached with the locale information

If you have any other questions please let me know

Thanks

Nayeem
Comment 7 Pravin Satpute 2009-04-01 01:31:28 EDT
thanks for quick reply

Mr, Mrs, miss, ms ---- جناب، محترم
instead of this i need only translation of ->  Mr. - 

i updated same in template, thanks

can you paste same in bugzilla itself?
Comment 8 mohammad.nayeem 2009-04-01 01:46:17 EDT
Translation of Mr is  جناب

I hope that is all you needed
Comment 9 Pravin Satpute 2009-04-01 06:08:32 EDT
Hi Nayeem,

uploaded locale file data below
http://pravins.fedorapeople.org/ks_IN.tar.gz

steps for testing:

1) untar this file, go to the folder ks_IN
2) $LOCPATH=$PWD LC_ALL=ks_IN cal 2009

will show you day names, month names, etc. in kashmiri.
The output on the terminal might be garbled, so save it to
a file, and open it in gedit. E.g.,
 $LOCPATH=$PWD LC_ALL=ks_IN cal 2009 > test.txt
 gedit test.txt

3) LOCPATH=$PWD LC_ALL=ks_IN date

let me know if any problem

also one more thing 
i was looking for translation of Ms. not Mr. (my mistake)
please update me with that
Comment 10 mohammad.nayeem 2009-04-01 14:01:08 EDT
Hi Pravin,

Thanks.

I did check the file and ran the commands as suggested by you.

It was great. Thankyou very much
 
The only difference being, for some reason the names of the months show up in reverse order like instead of 
مارچ (correct)

it shows as

چرام (incorrect)

I have another question 

the numbers show in arabic(1 to 9) while the kashmiri digits are 

٠  0
١  1
٢  2
٣  3
۴  4
۵  5
٦  6
٧  7 
٨  8 
٩  9

I don't know whether that is required by you or not

The same reversal occurs when I use LOCPATH=$PWD LC_ALL=ks_IN date
to print the date command. Both day and the month reverse their letters as shown in the above example.

The translation for miss would be:     محترمه

Like in arabic kashmiri in this script is also read from right to left.

I appreciate your work.

-Nayeem
Comment 11 Pravin Satpute 2009-04-02 02:59:08 EDT
(In reply to comment #10) 
> The only difference being, for some reason the names of the months show up in
> reverse order like instead of 
> مارچ (correct)
> 
> it shows as
> 
> چرام (incorrect)

terminal still not supporting rendering for complex script

check output in gedit by following command
1) LOCPATH=$PWD LC_ALL=ks_IN date > test
2) gedit test

or

1) LOCPATH=$PWD LC_ALL=ks_IN cal 2009 > test
2) gedit test


> I have another question 
> 
> the numbers show in arabic(1 to 9) while the kashmiri digits are 
> 
> ٠  0
> ١  1
> ٢  2
> ٣  3
> ۴  4
> ۵  5
> ٦  6
> ٧  7 
> ٨  8 
> ٩  9
> 
> I don't know whether that is required by you or not

All Indic locale uses Latin digit
I haven't seen any other locale using local script digit's
see locale file /usr/share/i18n/locale/ar_IN for example

> The same reversal occurs when I use LOCPATH=$PWD LC_ALL=ks_IN date
> to print the date command. Both day and the month reverse their letters as
> shown in the above example.
try same in gedit as suggested above

 
> The translation for miss would be:     محترمه

Thanks for this, 
please download the updated ks_IN.tar.gz from same link
update Kashmiri_arabic_filled.odt as per your input, 
check that once

Thanks for review :)
Comment 12 mohammad.nayeem 2009-04-02 12:15:41 EDT
Awesome. Everything works fine.
Thankyou very much.

I have one small request:

The abbreviation for wed and tue under the day names in the calendar has been used the same بو . May be we could use  بود for wednesday, fourth coulmn under the short form of the weekdays.


Will this all be a part of the next m17n library update?

Thanks a lot for all your help.
Comment 13 Pravin Satpute 2009-04-06 02:57:51 EDT
in abbreviation 'cal' command shows only first two characters of word, and unfortunately first two characters of Tue and Wed are same, 

but no worries in desktop calendar listing it show three characters so it will resolve there

this will be part of glibc
Comment 14 Pravin Satpute 2009-04-06 02:59:17 EDT
Created attachment 338291 [details]
kashmiri language locale file for India
Comment 15 mohammad.nayeem 2009-04-06 12:02:14 EDT
Thanks Pravin for all your help.

I have one last question:
I was thinking, may be I should also write a font file for kashmiri.
Are there any resources you could point me to, to get started.

I appreciate it.

Thanks.

-Nayeem
Comment 16 Ulrich Drepper 2009-04-06 12:59:45 EDT
I added the locale upstream.

While doing this I found that the difference to the ks_IN@devanagari locale isn't sufficiently explained.  Both are titled

  Kashmiri language locale for India

Please propose a patch for ks_IN@devanagari to describe the difference.  And while you're at it, please clean up the whole file.  Remove duplication by using copy etc.
Comment 17 Pravin Satpute 2009-04-07 03:28:59 EDT
(In reply to comment #15)
> Thanks Pravin for all your help.
> 
> I have one last question:
> I was thinking, may be I should also write a font file for kashmiri.
> Are there any resources you could point me to, to get started.

There is already one project going on for kashmiri font developement
might be you can contribute to that

http://www.sarai.net/fellowships/floss , 
see 5th point
sending mail to concern person adding you in cc

for starting work for font development you can refer to 

1) http://fontforge.sourceforge.net/editexample.html

2) http://www.microsoft.com/typography/OpenType%20Dev/arabic/intro.mspx

also you can mail me or catch me on IRC for that 
I am there on #fedora-india 
nick: pravins
Comment 18 Pravin Satpute 2009-04-07 07:00:22 EDT
Created attachment 338487 [details]
It will remove duplicates and modify title for locale ks_IN@devanagari
Comment 19 Pravin Satpute 2009-04-07 07:08:33 EDT
(In reply to comment #16)
> I added the locale upstream.

Thanks for making it upstream :)

I always forgot to use copy wherever applicable [:(] , next time i will take care for it.

attaching patch for fixing title of ks_IN@devanagari
Comment 20 Ulrich Drepper 2009-04-07 10:00:37 EDT
(In reply to comment #19)
> attaching patch for fixing title of ks_IN@devanagari  

Thanks, applied.
Comment 21 Ulrich Drepper 2009-04-18 04:42:56 EDT
rawhide has the new locale.
Comment 22 Ulrich Drepper 2009-04-18 04:45:30 EDT
Oops, actually _will_ have.  I didn't add ks_IN to the list of locales to be generated.  It will definitely be done in the next build.

Note You need to log in before you can comment on or make changes to this bug.